Summary: The standard UNIX FTP (File Transfer Protocol) client.
Name: ftp
Version: 0.17
Release: 15tr
License: BSD
Group: Trustix Official
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-ftp-%{version}.tar.gz
Patch0: netkit-ftp-0.15-man.patch
Patch1: netkit-ftp-0.17-pre20000412.pasv-security.patch
Patch2: netkit-ftp.usagi-ipv6.patch

BuildRoot: /var/tmp/%{name}-root

%description
The ftp package provides the standard UNIX command-line FTP (File
Transfer Protocol) client.  FTP is a widely used protocol for
transferring files over the Internet and for archiving files.

If your system is on a network, you should install ftp in order to do
file transfers.

%prep
%setup -q -n netkit-ftp-%{version}
%patch0 -p1 -b .share
%patch1 -p1 
%patch2 -p1

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1}

make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/ftp
/usr/bin/pftp
/usr/share/man/man1/ftp.1*
/usr/share/man/man1/pftp.1*
%exclude /usr/share/man/man5/netrc.5.gz

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.17-13tr
- Rebuilt against new readline

* Tue Mar 15 2005 Raghu <raghu at comodo dot com> 0.17-12tr
- Rebuilt

* Thu Sep 23 2004 Syed Shabir <syedshabir at comodo dot com> 0.17-10tr
- Added IPv6 and Security Patches

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-5em
- Rebuilt against glibc 2.3.2.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 0.17-4dm
- rebuild for Trustix Secure Linux 2.0

* Fri Sep 15 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 0.17

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.15.
- enable readline support (#3796).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
